### Class method

# Camel FolderClass map_legacy_property

since: 3.58

#### Declaration [src]

    void
    camel_folder_class_map_legacy_property (
      CamelFolderClass* folder_class,
      const gchar* prop_name,
      gint32 tag
    )

#### Description [src]

Add the legacy property binding to allow opening legacy binary file states.

Available since: 3.58

#### Parameters

`prop_name`

  Type: `const gchar*`

  The static property name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`tag`

  Type: `gint32`

  The legacy property tag.